Package generic.theme

# Class StringPropertyValue

java.lang.Object
generic.theme.ThemeValue<Object>
generic.theme.JavaPropertyValue
generic.theme.StringPropertyValue

All Implemented Interfaces:
  `Comparable<ThemeValue<Object>>`

public class StringPropertyValue extends JavaPropertyValue
A Java property value for keys that use String values.

- ## Field Summary

  ### Fields inherited from class generic.theme.ThemeValue

  `id, referenceId, value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringPropertyValue(String id, String value)`
  `StringPropertyValue(String id, String refId, String value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getSerializedValue()`
  `protected Object`
  `getUnresolvedReferenceValue(String primaryId, String unresolvedId)`
  Returns the T to be used if the indirect reference couldn't be resolved.
  `static boolean`
  `isStringKey(String key)`
  `static StringPropertyValue`
  `parse(String key, String value)`
  `protected String`
  `toExternalId(String internalId)`

  ### Methods inherited from class generic.theme.JavaPropertyValue

  `getReferredValue, getSerializationString, installValue, isExternal`

  ### Methods inherited from class generic.theme.ThemeValue

  `compareTo, equals, get, getId, getRawValue, getReferenceId, hashCode, hasResolvableValue, inheritsFrom, isIndirect, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StringPropertyValue

    public StringPropertyValue(String id, String value)

  - ### StringPropertyValue

    public StringPropertyValue(String id, String refId, String value)

- ## Method Details

  - ### isStringKey

    public static boolean isStringKey(String key)

  - ### parse

    public static StringPropertyValue parse(String key, String value)

  - ### getUnresolvedReferenceValue

    protected Object getUnresolvedReferenceValue(String primaryId, String unresolvedId)
    Description copied from class: `ThemeValue`
    Returns the T to be used if the indirect reference couldn't be resolved.
    Specified by:
      `getUnresolvedReferenceValue` in class `ThemeValue<Object>`
    Parameters:
      `primaryId` - the id we are trying to get a value for
      `unresolvedId` - the reference id that couldn't be resolved
    Returns:
      the default value to be used if the indirect reference couldn't be resolved.

  - ### toExternalId

    protected String toExternalId(String internalId)
    Specified by:
      `toExternalId` in class `JavaPropertyValue`

  - ### getSerializedValue

    protected String getSerializedValue()
    Specified by:
      `getSerializedValue` in class `JavaPropertyValue`